/*
 *  
 *  Copyright (C) 2004 Aurelien Alleaume <slts@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#ifndef __PVRUSB2_STREAM_H
#define __PVRUSB2_STREAM_H

#include "pvrusb2.h"

int pvr_io_claim(struct pvr_stream *, enum pvr_io_method, int, struct pvr_fh *);
int pvr_io_release(struct pvr_stream *, struct pvr_fh *);
struct pvr_stream *pvr_stream_alloc(struct pvr*, int, int, int, enum pvr_config);
void pvr_stream_free(struct pvr_stream *);

int pvr_stream_qbuf(struct pvr_stream *, struct v4l2_buffer *);
int pvr_stream_querybuf(struct pvr_stream *, struct v4l2_buffer *);
int pvr_stream_dqbuf(struct pvr_stream *, struct v4l2_buffer *, int);
int pvr_stream_reqbufs(struct pvr_stream *, struct pvr_fh *, struct v4l2_requestbuffers *);
int pvr_stream_streamon(struct pvr_stream *, struct pvr_fh *);
int pvr_stream_streamoff(struct pvr_stream *, struct pvr_fh *);
int pvr_stream_cgmbuf(struct pvr_stream *, struct pvr_fh *, struct video_mbuf *);

#endif /* __PVRUSB2_STREAM_H */
